%global zikula_base         %{_datadir}/zikula
%global zikula_modname      filterutil

Name:           zikula-module-%{zikula_modname}
Version:        0
Release:        0.3.20090915svn15%{?dist}
Summary:        Pagesetter like filter rules for Zikula
Group:          Applications/Publishing
License:        GPLv2+
URL:            http://code.zikula.org/filterutil
# svn export -r 15 https://code.zikula.org/svn/filterutil/trunk filterutil-0
# tar -cjvf filterutil-0.tar.bz2 filterutil-0
Source0:        filterutil-0.tar.bz2
# Style and bugfix backport from zikula Core 
# https://code.zikula.org/svn/core/development/main/includes/FilterUtil
Patch0:         filterutil-style-bugfix-zikula-trunk.patch
Patch1:         filterutil-separate-module.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       zikula

%description
FilterUtil brings Pagesetter like filter rules to Zikula.  This work is a
backport of the module included in zikula 2.0.

%prep
%setup -q -n %{zikula_modname}-%{version}
%patch0 -p0
%patch1 -p1

%build

find . -type 'f' -exec chmod a-x \{\} \;

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/%{zikula_base}/config/classes
cp -pr . %{buildroot}/%{zikula_base}/config/classes
rm -rf %{buildroot}/%{zikula_base}/*.pdf

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc manual-developer.pdf manual-user.pdf
%{zikula_base}/config/classes


%changelog
* Sun Dec 06 2009 Sebastian Dziallas <sebastian@when.com> - 0.3.20090915svn15
- Modify install location and fix typo in bugfix patch

* Thu Sep 17 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 0-0.2.20090915svn15
- Add fixes from itbegins for putting this in its own zikula directory

* Tue Sep 15 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 0-0.1.20090915svn15
- Initial package attempt
